package org.eso.oca.fits;

/** Filter for science files 
 * @author szampier
 */
public class ScienceFileFilter implements OCAFileFilter
{
    public boolean filter(OCAFile f)
    {
        try {
			if (f.getKeywordValue("DPR.CATG").equals("SCIENCE"))
			    return true;
			else
			    return false;
		} catch (Exception e) {
			return false;
		}
    }
}
