package org.eso.oca.properties;

/**
 * Class OCAPropertiesException
 *
 * This Exception shall be thrown when the <code>OCAProperties</code> object
 * is asked for a property which is not set
 *
 * @version $Revision: 1.3 $
 * @author pnunes, Apr 18, 2005
 */

// $Id: OCAPropertiesException.java,v 1.3 2005/06/06 10:32:05 szampier Exp $ 
public class OCAPropertiesException extends Exception {

    /**
     * 
     */
    public OCAPropertiesException() {
        super();
       
    }
    
    

    /**
     * @param arg0
     */
    public OCAPropertiesException(String arg0) {
        super(arg0);
        
    }
    /**
     * @param arg0
     * @param arg1
     */
    public OCAPropertiesException(String arg0, Throwable arg1) {
        super(arg0, arg1);

    }
    /**
     * @param arg0
     */
    public OCAPropertiesException(Throwable arg0) {
        super(arg0);

    }
}





