package org.eso.util.dal;

import java.util.List;

public interface PackageReportsDAO {

	public void insert(PackageReport report) throws DAOException;
	
	public void update(PackageReport report) throws DAOException;
	
	public void delete(PackageReport report) throws DAOException;
	
	public void delete(List<PackageReport> reports) throws DAOException;
	
	public PackageReport find(Integer pkgId, String url) throws DAOException;
	
	public List<PackageReport> find(Integer pkgId) throws DAOException;
	
	public void insertOrUpdate(PackageReport report) throws DAOException;
	
}
