/**
 * @author N. Kornweibel
 * @version 1.0
 * An interface used to notify of data changes with in the data model.
 */

package org.eso.gasgano.datamodel;

public interface DataModelChangeListener {

    /**
     * @param e The DataModelEvent which has occured.
     */
    public void dataModelChanged(DataModelEvent e);
}

// end of file DataModelChangeListener.java
