package org.eso.cpl.test;

import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.eso.cpl.jni.LTDLException;
import org.eso.cpl.jni.LibraryLoader;

/**
 * Defines and invokes some native methods directly.
 * <p>
 * $Id: NativeTest.java,v 1.2 2007/02/20 13:37:10 dsforna Exp $
 * @author   Mark Taylor
 */
public class NativeTest extends TestCase {

    LibraryLoader loader_;

    public NativeTest(String name) {
        super(name);
    }

    public void setUp() throws LTDLException {
        loader_ = new LibraryLoader();
    }

    public void tearDown() throws LTDLException {
        loader_.close();
    }

    public void testLTDL() {
        nativeLTDLTest();
    }

    public static TestSuite suite() {
        return new TestSuite(NativeTest.class);
    }

    public static void main(String[] args) {
        TestRunner.run(suite());
    }

    private static native void nativeLTDLTest();
}
