package org.eso.oca.backend;

import java.lang.String;
import java.lang.Exception;

/** This exception is thrown by AB visitors if a problem occurs whilst
 * working with an AB
 *
 * @author szampier
 */
public class ABVisitorException extends Exception
{
    /** Creates a ABVisitorException with no detail message or cause. */
    public ABVisitorException()
    {
        super();
    }

    /** Creates a ABVisitorException with the specified detail message. 
     * 
     * @param message a detail message for this exception. 
     */
    public ABVisitorException(String message)
    {
        super(message);
    }

    /** Creates a ABVisitorException with the specified detail message 
     * and cause. 
     *
     * @param message a detail message for this exception. 
     * @param cause a Throwable which represents the underlying cause of 
     *              this exception. 
     */
    public ABVisitorException(String message, Throwable cause)
    {
        super(message, cause);
    }

    /** Creates a ABVisitorException with the specified cause. 
     * 
     * @param cause a Throwable which represents the underlying cause of 
     *              this exception. 
     */
    public ABVisitorException(Throwable cause)
    {
        super(cause);
    }
}
