package org.eso.util.dal;

/**
 * This class maps a record of the MdFile table.
 * 
 * @author Vincenzo Forchi` <vforchi@eso.org>
 */
public class MdFile {
	
	private String	file_id		= null;
	private String	diskname	= null;
	private String	fname		= null;
	private Integer	fsize		= null;
	private String	status		= null;
	private Integer	uncomp_fsize= null;
	private String	compression	= null;
	private String	format		= null;
	
	public String getFileId() {
		return file_id;
	}
	public void setFileId(String file_id) {
		this.file_id = file_id;
	}
	public String getDiskName() {
		return diskname;
	}
	public void setDiskName(String diskname) {
		this.diskname = diskname;
	}
	public String getFileName() {
		return fname;
	}
	public void setFileName(String fname) {
		this.fname = fname;
	}
	public Integer getFileSize() {
		return fsize;
	}
	public void setFileSize(Integer fsize) {
		this.fsize = fsize;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public Integer getUncompressedFileSize() {
		return uncomp_fsize;
	}
	public void setUncompressedFileSize(Integer uncomp_fsize) {
		this.uncomp_fsize = uncomp_fsize;
	}
	public String getCompression() {
		return compression;
	}
	public void setCompression(String compression) {
		this.compression = compression;
	}
	public String getFormat() {
		return format;
	}
	public void setFormat(String format) {
		this.format = format;
	}
	
	@Override
	public String toString() {
		return	"FileId = " +  getFileId() + "\n" +
				"DiskName = " + getDiskName() + "\n" +
				"FileName = " + getFileName() + "\n" +
				"FileSize = " + getFileSize() + "\n" +
				"Status = " + getStatus() + "\n" +
				"UncompressedFileSize = " + getUncompressedFileSize() + "\n" +
				"Compression = " + getCompression() + "\n" +
				"Format = " + getFormat() + "\n";
	}
	
}
