package org.eso.cpl.test;

import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 * Utility class to run all test drivers for the javacpl package.
 * <p>
 * $Id: AllTests.java,v 1.7 2003/11/05 16:45:22 mtaylor Exp $
 * @author   Mark Taylor
 */
public class AllTests {
 
    public static TestSuite suite() {
        TestSuite suite = new TestSuite();
        suite.addTest(BasicTest.suite());
        suite.addTest(ConstraintTest.suite());
        suite.addTest(FrameTest.suite());
        suite.addTest(FrameListTest.suite());
        suite.addTest(NativeTest.suite());
        suite.addTest(JNICPLTest.suite());
        suite.addTest(PluginLibraryTest.suite());
        suite.addTest(RequestTest.suite());
        suite.addTest(IconsTest.suite());
        return suite;
    }

    public static void main(String[] args) {
        TestRunner.run(suite());
    }
}
